<form>
    <label for="id" class="label">Email</label>
    <input
        [(ngModel)]="form.email"
        [ngClass]="{ 'input-error': id.invalid && id.touched }"
        #id="ngModel"
        required
        email
        type="email"
        class="input input-bordered"
        name="id"
        id=""
    />
    <span class="text-red-600" *ngIf="id.errors?.['email'] && id.touched">
        Email invalide
    </span>
    <span class="text-red-600" *ngIf="id.errors?.['required'] && id.touched">
        Email obligatoire
    </span>

    {{ id.errors | json }}

    <label for="pwd" class="label">Mot de passe</label>
    <input
        [(ngModel)]="form.password"
        [ngClass]="{ 'input-error': pwd.invalid && pwd.touched }"
        #pwd="ngModel"
        required
        type="password"
        class="input input-bordered"
        name="pwd"
        id=""
    />
    <span class="text-red-600" *ngIf="pwd.errors?.['required'] && pwd.touched">
        Mot de passe obligatoire
    </span>

    <button
        type="button"
        [disabled]="pwd.invalid && id.invalid"
        (click)="onSubmit()"
        class="btn btn-primary mt-4"
    >
        Se connecter
    </button>
</form>

<pre>
    {{ form | json }}
</pre>
